#
# spec file for package fastlzlib
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 1
%define libname libfastlz%{soname}
Name:           fastlzlib
Version:        0.0+git.20150524
Release:        1.1
Summary:        Zlib-like interface to fast block compression libraries
License:        BSD-2-Clause
Group:          Development/Libraries/C and C++
URL:            https://github.com/bareos/fastlzlib
Source:         %{name}-%{version}.tar.xz
BuildRequires:  zlib-devel

%description
Zlib-like interface to fast block compression (LZ4 or FastLZ) libraries.

%package -n %{libname}
Summary:        Zlib-like interface to fast block compression (LZ4 or FastLZ) libraries
Group:          Development/Libraries/C and C++

%description -n %{libname}
Zlib-like interface to fast block compression (LZ4 or FastLZ) libraries.

%package devel
Summary:        Zlib-like interface to fast block compression libraries devel package
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description devel
Zlib-like interface to fast block compression (LZ4 or FastLZ) libraries  -
devel package.

%prep
%setup -q

%build
%configure \
  --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
rm -rf %{buildroot}%{_datadir}/doc/libfastlz

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%{_bindir}/fastlzcat

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/libfastlz.so.%{soname}*

%files devel
%{_includedir}/*
%{_libdir}/libfastlz.so

%changelog
* Fri Nov 10 2017 mpluskal@suse.com
- Rename package
- Use _service for fetching source
- Use correct upstream urls
- Update to version 0.0+git.20150512:
  * Upgraded LZ4 to r127
  * Fixed for crappy AIX.
  * Manually merged 9090cda92ce3a119ad3b5aad491b8545a87fa103 by mvwieringen   * "Make fastlzlib.h usable for C++" [as zlib.h is]
  * Synchronized LZ4 code to r90 (http://code.google.com/p/lz4/)
  * Manually merged 8c4cdb259a0b0f1d4b92f86d80df8e9242d5a505 by mvwieringen   * "The zlib deflateResetKeep that is called from deflateReset of which fastlzlibReset is an equivalence off resets more fields so added resetting these fields in fastlzlibReset too"
  * Removed unused zlibLevelToFastlz()
  * Use real zlib compression levels At level Z_BEST_COMPRESSION, LZ4 backend uses LZ4_compressHC() (lz4HC with high performance decompression) The fastLZ backend is now optional
  * Build cleanup.
  * Moved LZ4 and FastLZ code in subfolders so that the build is not too messy.
  * Cleaned a little bit the build.
* Thu Nov  9 2017 joop.boonen@opensuse.org
- Used the bareos spec file
- Cleaned the spec file
